incron 0.5.10

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Attributes
AppArgOption_t Struct Reference

Argument option type. More...

`#include <appargs.h>`

List of all members.

## Public Attributes
AppArgType_t | type
| argument type
bool | mand
| mandatory yes/no
bool | found
| found in argument vector
std::string | val
| value
bool | hasVal
| value is set

## Detailed Description

Argument option type.

## Member Data Documentation

bool AppArgOption_t::found

found in argument vector

bool AppArgOption_t::hasVal

value is set

bool AppArgOption_t::mand

mandatory yes/no

AppArgType_t AppArgOption_t::type

argument type

std::string AppArgOption_t::val

value

The documentation for this struct was generated from the following file:

- appargs.h